A single log entry.

### Hierarchy

- Entry

## Index

### Constructors

- constructor

### Properties

- level
- message
- timestamp
- type

### Methods

- toJSON

## Constructors

### constructor

- new Entry(level: string | number | <internal>.Level, message: string, opt_timestamp?: number, opt_type?: string | IType): Entry

- #### Parameters

  - ##### level: string | number | <internal>.Level

    The entry level.

  - ##### message: string

    The log message.

  - ##### Optional opt_timestamp: number

    The time this entry was generated, in milliseconds since 0:00:00, January 1, 1970 UTC. If omitted, the current time will be used.

  - ##### Optional opt_type: string | IType

    The log type, if known.

  #### Returns Entry

## Properties

### level

level: <internal>.Level

### message

message: string

### timestamp

timestamp: number

### type

type: string

## Methods

### toJSON

- toJSON(): IEntryJSON

- #### Returns IEntryJSON

  {{level: string, message: string, timestamp: number, type: string}} The JSON representation of this entry.

Generated using TypeDoc